Commit 7a19950e by Robert Lipe Committed by Robert Lipe

egcs_update: Test return values of 'cvs update'.

       * egcs_update: Test return values of 'cvs update'.  Propogate
       to caller as exit values.

From-SVN: r25021
parent 2d7423eb
1999-02-04 Robert Lipe <robertlipe@usa.net>
* egcs_update: Test return values of 'cvs update'. Propogate
to caller as exit values.
1999-01-25 Gerald Pfeifer <pfeifer@dbai.tuwien.ac.at>
* egcs_update: Use "if" instead of "&&". Touch generated files
......
......@@ -58,10 +58,18 @@ do
fi
done`
cvs -q update $X
if [ $? -ne 0 ]; then
echo "CVS update of generated files failed." >&2
exit 1
fi
echo "Pass 2: Updating full tree"
cvs -q update ${1+"$@"}
if [ $? -ne 0 ]; then
echo "CVS update of full tree failed." >&2
exit 1
fi
echo "Pass 3: Fixing local tree"
# Please also update the FAQ accordingly if you change the list of
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment